Create Collections
/unified/ticketing/collections
Query Parameters
Refer Specifying query parameters in Truto APIs
The type of the collection
epicprojectsection
4 supported2 required
projectepicprojectsectionSet this value when type is epic.
5 supported
1 supported
The unique identifier for a organization.
4 supported1 required
The unique identifier for a workspace
The name of the workspace
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
The unique identifier for the account.
1 supported1 required
3 supported
The description of the collection
4 supported1 required
The name of the collection
10 supported7 required
1 supported1 required
componentproduct
The parent collection id
5 supported
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
1 supported1 required
4 supported
The unique identifier for a workspace
The name of the workspace
Response Body
The unique identifier for a collection
11 supported
The date and time when the collection was created
6 supported
The description of the collection
4 supported
The type of entity that belongs to this collection
contactticket
The unique identifier for the specific version of the resource.
2 supported
The name of the collection
10 supported
The parent collection id
5 supported
Raw data returned from the remote API call.
The type of the collection
4 supported
The date and time when the collection was updated
5 supported
The URLs of the collection
5 supported
The URL of the collection
4 supported
The unique identifier for a workspace
The name of the workspace
curl -X POST 'https://api.truto.one/unified/ticketing/collections?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "your_name",
"description": "your_description",
"workspace": {},
"account_id": "your_account_id",
"parent_collection": {},
"parent_collection_id": "your_parent_collection_id",
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"name": "your_name",
"description": "your_description",
"workspace": {},
"account_id": "your_account_id",
"parent_collection": {},
"parent_collection_id": "your_parent_collection_id",
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/ticketing/collections?integrated_account_id=${integratedAccountId}`, {
method: 'POST',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ticketing/collections"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"name": "your_name",
"description": "your_description",
"workspace": {},
"account_id": "your_account_id",
"parent_collection": {},
"parent_collection_id": "your_parent_collection_id",
"remote_data": {}
}
response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.create(
'ticketing',
'collections',
{
"name": "your_name",
"description": "your_description",
"workspace": {},
"account_id": "your_account_id",
"parent_collection": {},
"parent_collection_id": "your_parent_collection_id",
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.create(
"ticketing",
"collections",
{
"name": "your_name",
"description": "your_description",
"workspace": {},
"account_id": "your_account_id",
"parent_collection": {},
"parent_collection_id": "your_parent_collection_id",
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())